DELETE /x/accounts/{id}/following

Unfollow. Body or query: same fields as POST

DELETE
/x/accounts/{id}/following

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

X account id

Request Body

application/json
  1. body
userId?string

Numeric X user id

username?string

@username (instead of userId)

Response Body

{accountId, action, undo, target, reposted | liked | bookmarked | following}

application/json
  1. response
accountId?string
action?string
Value in"repost""like""bookmark""follow"
undo?boolean
target?string
reposted?boolean
liked?boolean
bookmarked?boolean
following?boolean
pendingFollow?boolean
Example Request
curl -X DELETE 'https://example.com/api/v1/x/accounts/string/following' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "accountId": "string",  "action": "repost",  "undo": true,  "target": "string",  "reposted": true,  "liked": true,  "bookmarked": true,  "following": true,  "pendingFollow": true}